# WOK
TKWOK
WOKMake

# WOKMake_HSequenceOfOutputFile Class Reference

`#include <WOKMake_HSequenceOfOutputFile.hxx>`

## Public Member Functions

| WOKMake_HSequenceOfOutputFile ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(WOKMake_OutputFile)&anItem)
Standard_EXPORT void | Append (const Handle(WOKMake_HSequenceOfOutputFile)&aSequence)
Standard_EXPORT void | Prepend (const Handle(WOKMake_OutputFile)&anItem)
Standard_EXPORT void | Prepend (const Handle(WOKMake_HSequenceOfOutputFile)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKMake_OutputFile)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKMake_HSequenceOfOutputFile)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKMake_OutputFile)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKMake_HSequenceOfOutputFile)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKMake_HSequenceOfOutputFile | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(WOKMake_OutputFile)&anItem)
Standard_EXPORT const Handle_WOKMake_OutputFile & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_WOKMake_OutputFile & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKMake_SequenceOfOutputFile & | Sequence () const
WOKMake_SequenceOfOutputFile & | ChangeSequence ()
Standard_EXPORT Handle_WOKMake_HSequenceOfOutputFile | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKMake_SequenceOfOutputFile | mySequence

## Constructor & Destructor Documentation

WOKMake_HSequenceOfOutputFile::WOKMake_HSequenceOfOutputFile | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Append | ( | const Handle(WOKMake_HSequenceOfOutputFile)& | aSequence | ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Append | ( | const Handle(WOKMake_OutputFile)& | anItem | ) |

WOKMake_SequenceOfOutputFile& WOKMake_HSequenceOfOutputFile::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_WOKMake_OutputFile& WOKMake_HSequenceOfOutputFile::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Clear | ( |  | ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKMake_HSequenceOfOutputFile::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_HSequenceOfOutputFile)& | aSequence
| ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_OutputFile)& | anItem
| ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_HSequenceOfOutputFile)& | aSequence
| ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_OutputFile)& | anItem
| ) |

Standard_Boolean WOKMake_HSequenceOfOutputFile::IsEmpty | ( |  | ) | const

Standard_Integer WOKMake_HSequenceOfOutputFile::Length | ( |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Prepend | ( | const Handle(WOKMake_HSequenceOfOutputFile)& | aSequence | ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Prepend | ( | const Handle(WOKMake_OutputFile)& | anItem | ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::Reverse | ( |  | ) |

const WOKMake_SequenceOfOutputFile& WOKMake_HSequenceOfOutputFile::Sequence | ( |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfOutputFile::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_OutputFile)& | anItem
| ) |

Standard_EXPORT Handle_WOKMake_HSequenceOfOutputFile WOKMake_HSequenceOfOutputFile::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKMake_HSequenceOfOutputFile WOKMake_HSequenceOfOutputFile::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_WOKMake_OutputFile& WOKMake_HSequenceOfOutputFile::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKMake_SequenceOfOutputFile WOKMake_HSequenceOfOutputFile::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKMake_HSequenceOfOutputFile.hxx